Classes | Namespaces | Macros | Functions
KEY1StringConverter.h File Reference
`#include <boost/optional.hpp>`
`#include <glm/glm.hpp>`
`#include "IWORKTypes.h"`

Go to the source code of this file.

## Classes
struct | libetonyek::KEY1StringConverter< T >

## Namespaces
| libetonyek

## Macros
#define | KEY1_DECLARE_STRING_CONVERTER(type)

## Functions
| libetonyek::KEY1_DECLARE_STRING_CONVERTER (glm::dmat3)
| libetonyek::KEY1_DECLARE_STRING_CONVERTER (IWORKColor)
| libetonyek::KEY1_DECLARE_STRING_CONVERTER (IWORKPosition)
| libetonyek::KEY1_DECLARE_STRING_CONVERTER (IWORKSize)

## Macro Definition Documentation

## ◆ KEY1_DECLARE_STRING_CONVERTER

#define KEY1_DECLARE_STRING_CONVERTER | ( |  | type | ) |

Value:
template<> \
struct KEY1StringConverter<type> \
{ \
static boost::optional<type> convert (const char *value); \
}
libetonyek::IWORKToken::value
Definition: IWORKToken.h:624